Bug 1625552

Summary: Review Request: php-felixfbecker-advanced-json-rpc3 - A more advanced JSONRPC implementation
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-20 11:16:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1625546    
Bug Blocks: 1625561    

Description Remi Collet 2018-09-05 08:10:35 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/felixfbecker/php-felixfbecker-advanced-json-rpc3.git/plain/php-felixfbecker-advanced-json-rpc3.spec?id=3d67ad3b391b9b4f17fb8c7a13886550c7a78556
SRPM URL: http://rpms.remirepo.net/SRPMS/php-felixfbecker-advanced-json-rpc3-3.0.1-2.fedora.src.rpm
Description: 
Advanced JSONRPC

Provides basic classes for requests and responses in JSONRPC and a
Dispatcher class that can decode a JSONRPC request and call appropiate
methods on a target, coercing types of parameters by type-hints and
@param tags.

Supports nested targets:
If the method is something like myNestedTarget->theMethod, the dispatcher
will look for a myNestedTarget property on the target and call theMethod
on it.

The delimiter is configurable and defaults to the PHP object operator ->.

Autoloader: /usr/share/php/AdvancedJsonRpc3/autoload.php


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2018-09-05 16:00:54 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 23 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/php-felixfbecker-
     advanced-json-rpc3/review-php-felixfbecker-advanced-json-
     rpc3/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.12 DB version 1.33.0 built Jul 06 2018
     07:45:29 CEST static analyze results in /home/bob/packaging/review
     /php-felixfbecker-advanced-json-rpc3/review-php-felixfbecker-advanced-
     json-rpc3/phpci.log


Rpmlint
-------
Checking: php-felixfbecker-advanced-json-rpc3-3.0.1-2.fc30.noarch.rpm
          php-felixfbecker-advanced-json-rpc3-3.0.1-2.fc30.src.rpm
php-felixfbecker-advanced-json-rpc3.noarch: W: spelling-error %description -l en_US appropiate -> appropriate, appropriator, propitiate
php-felixfbecker-advanced-json-rpc3.noarch: W: spelling-error %description -l en_US param -> para, pram, paras
php-felixfbecker-advanced-json-rpc3.noarch: W: spelling-error %description -l en_US myNestedTarget -> disinterestedness
php-felixfbecker-advanced-json-rpc3.noarch: W: spelling-error %description -l en_US theMethod -> the Method, the-method, Methodist
php-felixfbecker-advanced-json-rpc3.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-felixfbecker-advanced-json-rpc3.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US appropiate -> appropriate, appropriator, propitiate
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US param -> para, pram, paras
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US myNestedTarget -> disinterestedness
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US theMethod -> the Method, the-method, Methodist
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US usr -> use, us, user
php-felixfbecker-advanced-json-rpc3.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 13 warnings.

Comment 3 Igor Gnatenko 2018-09-06 05:43:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-felixfbecker-advanced-json-rpc3

Comment 4 Fedora Update System 2018-09-06 06:49:24 UTC
php-felixfbecker-advanced-json-rpc3-3.0.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b5f5eb8dd

Comment 5 Fedora Update System 2018-09-06 06:49:30 UTC
php-felixfbecker-advanced-json-rpc3-3.0.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aa360c8fb

Comment 6 Fedora Update System 2018-09-07 06:00:44 UTC
php-felixfbecker-advanced-json-rpc3-3.0.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aa360c8fb

Comment 7 Fedora Update System 2018-09-07 17:10:55 UTC
php-felixfbecker-advanced-json-rpc3-3.0.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b5f5eb8dd

Comment 8 Fedora Update System 2018-09-10 09:55:46 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aa360c8fb

Comment 9 Fedora Update System 2018-09-10 09:57:54 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b5f5eb8dd

Comment 10 Fedora Update System 2018-09-11 06:13:18 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aa360c8fb

Comment 11 Fedora Update System 2018-09-11 18:10:30 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b5f5eb8dd

Comment 12 Fedora Update System 2018-09-20 11:16:35 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-09-20 14:08:38 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-09-21 05:28:59 UTC
php-felixfbecker-advanced-json-rpc3-3.0.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.